<div class="container">
  <div class="row">
    <div class="col-md-12 py-5 mx-auto container-bg rounded">
      <h2 class="text-center">Exclude team members</h2>
        <div class="pb-2 pt-3 row d-flex align-items-end">
          <div class="col-md-12">
            <p class="h5">Select a team</p>
            <select class="custom-select" title="Select a team of possible reviewers" [(ngModel)]="selectedTeam" [ngModelOptions]="{standalone: true}"
              (change)="setTeamValue()">
              <option [value]="team.uid" *ngFor="let team of teams | async">
                {{ team.teamName }}
              </option>
            </select>
          </div>
        </div>
        <div *ngIf='teamValue' class="ag-theme-bootstrap center-block mt-5">
          <div>Selection: <span id="selectedRows"></span></div>
          <ag-grid-angular style="width: 100%; height: 750px;" class="ag-theme-bootstrap" [rowData]="rowData | async"
            [columnDefs]="columnDefs" [rowHeight]="100" [groupUseEntireRow]="true" [groupRowRenderer]="true"
            [pagination]="true" [paginationAutoPageSize]="true" 
            (selectionChanged)="onSelectionChanged($event)"
            (gridReady)="onGridReady($event)">
          </ag-grid-angular>
        </div>
    </div>
  </div>
</div>